{{#if challenge.id}}
  <div class="container is-hidden" id="createdSuccess">
    <div class="px-5 py-6">
      <div class="notification is-success">
        <h3 class="is-size-5 has-text-weight-bold">
          Challenge created! 🥰
        </h3>
        <button id="btnCloseCreateSuccess" class="delete is-small"></button>
      </div>
    </div>
  </div>

  
  {{#with challenge}}
    {{> joinmodal}}
  {{/with}}  

  <div class="px-5 py-6 is-hidden" id="joinSuccess">
    <div class="notification is-success">
      <div class="is-flex">
        <div class="mr-2">
          <span class="has-text-success-light is-inline-block">
            <svg width="20" height="20" viewBox="0 0 20 20" fill="none" xmlns="http://www.w3.org/2000/svg">
              <path d="M10 0C4.5 0 0 4.5 0 10C0 15.5 4.5 20 10 20C15.5 20 20 15.5 20 10C20 4.5 15.5 0 10 0ZM10 15C9.4 15 9 14.6 9 14C9 13.4 9.4 13 10 13C10.6 13 11 13.4 11 14C11 14.6 10.6 15 10 15ZM11 10C11 10.6 10.6 11 10 11C9.4 11 9 10.6 9 10V6C9 5.4 9.4 5 10 5C10.6 5 11 5.4 11 6V10Z" fill="currentColor"></path>
            </svg>
          </span>
        </div>
        <div>
          <h3 class="mb-2 is-size-5 has-text-weight-bold">
            You're in! 🎉 
          </h3>
          <p class="is-size-6">
            Welcome to the challenge...you're ready to get started. Good luck!
          </p>
        </div>
      </div>
      <button id="btnCloseJoinSuccess" class="delete is-small"></button>
    </div>
  </div>

   <div id="getStartedContainer" class="container is-hidden">
        <div class="card">
          <div class="card-content">
            {{> startHelp }}

            <footer class="card-footer">
            <div class="card-footer-item">
              <button id="btnCloseGettingStarted" class="button is-primary">
                Hide
              </button>
            </div>
          </footer>

          </div>
        </div>
      </div>

  {{#unless userChallenge.isIn}}
    <hr>
    <div class="container">
    <div class="card">
      <div class="card-content">
          <div class="mx-auto has-text-centered">
            <div class="notification is-secondary is-size-4">
              Join the challenge to get started!
              <br/>
              <button
                class="button is-primary is-inline-flex is-align-items-center is-large js-btn-join"
              >
              <span class="icon is-large">
                <ion-icon name="play-outline" size="large"></ion-icon>
              </span>
              <span>Join</span>
            </button>
            </div>
          </div>
  {{/unless}}
  </div>
  </div>
  </div>

  <hr class="is-hidden" id="hr-header"/>

  <div class="container">
    <div class="card">
      <div class="card-content">
          <section class="section py-5">
            <div class="columns is-vcentered is-multiline">
              <div class="column is-7-tablet">
                <div class="is-flex is-align-items-center">
                  <div class="mr-4">
                    {{> projectavatar proj_avatar_url=challenge.proj_avatar_url path_with_namespace=challenge.path_with_namespace color="primary"}}
                  </div>
                  <div>
                    <h4 class="title is-size-4">
                      {{challenge.name}}
                    </h4>
                   
                  </div>
                </div>
              </div>
              <div class="column">
                <div class="buttons is-inline-flex is-flex-wrap-nowrap">
                  <a
                    class="button is-primary is-light ml-auto-desktop is-inline-flex is-align-items-center"
                    href="/leaderboard/{{challenge.id}}"
                  >
                    <span class="icon">
                      <ion-icon name="game-controller-outline"></ion-icon>
                    </span>
                    <span>Leaderboard</span>
                  </a>
                  {{#or userChallenge.isAdmin currentUser.super_admin}}
                    <a
                      class="button is-primary is-inline-flex is-align-items-center"
                      href="/app/challenge/{{challenge.id}}/details"
                    >
                      <span class="icon">
                        <ion-icon name="list-outline"></ion-icon>
                      </span>
                      <span>Details</span>
                    </a>
                    <a
                      class="button is-primary is-light is-inline-flex is-align-items-center"
                      href="/app/challenge/{{challenge.id}}/settings"
                    >
                      <span class="icon">
                        <ion-icon name="settings-outline"></ion-icon>
                      </span>
                      <span>Settings</span>
                    </a>
                  {{/or}}
                  
                </div>
              </div>
            </div>
            <div class="markdown subtitle is-size-6">
               {{challenge.description}}
            </div>
          </section>

          <hr/>
  {{#or userChallenge.isAdmin currentUser.super_admin}}
    {{> challengestats_sm }}
  {{else}}
    {{> mychallengestats_sm }}
  {{/or}}

      </div>
    </div>
  </div>
           



  {{#if userChallenge.isIn}}
  <div class="columns is-multiline">
    <div class="column is-12">
      

     

      <div class="container py-5">
        <nav class="level is-mobile">
          <div class="level-left">
            <div class="level-item is-flex is-align-items-center">
              <h4 class="title is-size-4 mb-0 mr-2">
                GitLab Project
              </h4>
            </div>
          </div>

          <div class="level-right">
            <a
              class="level-item button has-text-link is-ghost level-item"
              href="https://docs.codechallenge.dev/en/joining"
              target="_blank"
            >
              <span class="icon">
                <ion-icon name="help-circle-outline" size="large"></ion-icon>
              </span>
            </a>
          </div>
        </nav>
      </div>

      <div class="container">
        {{#with challenge}}
          {{> glprojectcard project_fork=../userProjectFork }}
        {{/with}}
      </div>

      <div class="container py-5">
        <nav class="level is-mobile">
          <div class="level-left">
            <div class="level-item is-flex is-align-items-center">
              <h4 class="title is-size-4 mb-0 mr-2">
                Levels
              </h4>
              <span class="tag is-primary" style="font-size: 12px;">{{levels.length}} Total</span>
            </div>
          </div>

          <div class="level-right">
            <a
              class="level-item button has-text-link is-ghost level-item"
              href="https://docs.codechallenge.dev/en/joining/completion"
              target="_blank"
            >
              <span class="icon">
                <ion-icon name="help-circle-outline" size="large"></ion-icon>
              </span>
            </a>
          </div>
        </nav>
      </div>
      {{#or userChallenge.isAdmin currentUser.super_admin}}
        {{#each levels}}
          {{> leveldetails level=this isAdmin=true}}
        {{/each}}
      {{else}}
        {{#each levels}}
          {{> leveldetails level=this isAdmin=false}}
        {{/each}}
      {{/or}}

      {{#or userChallenge.isAdmin currentUser.super_admin}}
        <div class="columns">
          <div class="column is-half is-offset-one-quarter">
            <a href="/app/challenge/{{challenge.id}}/level/new" class="button has-background-primary-light is-flex is-justify-content-center is-align-items-center has-text-weight-normal" style="border: 1px dashed #C2C9D2" href="#">
              <span class="icon is-large">
                <ion-icon name="add-circle-outline" size="large"></ion-icon>
              </span>
              <span class="ml-2">Add New Level</span>
            </a>
          </div>
        </div>
      {{/or}}
    </div>
  </div>
  
  {{/if}}
{{else}}
  {{> notfound title="Challenge not found"}}
{{/if}}

{{#section 'script'}}
<script>
  $(function() {
      const urlParams = new URLSearchParams(location.search);
      const isNew = urlParams.get("new");
      const hasJoined = urlParams.get("joined");
      const isInvited = urlParams.get("frominvite");
      const newMsg = $('#createdSuccess');
      const joinMsg = $('#joinSuccess');
      
      $('.markdown').each(function() {
        let curr = $(this).html().trim()
        marked.setOptions({
          gfm: true,
          breaks: true,
          xhtml: true
        });
        $(this).html(marked.parse(curr));
      })
      
      if (isNew) newMsg.removeClass("is-hidden");
      if (hasJoined) joinMsg.removeClass("is-hidden");
      if (isInvited) openJoinModal();

      $('#btnCloseCreateSuccess').click(() => newMsg.addClass("is-hidden"));
      $('#btnCloseJoinSuccess').click(() => joinMsg.addClass("is-hidden"));

      $('.js-btn-join').click(() => {
        openJoinModal();
      });

      $('#btnModalCancel').click(() => $('#modalJoin').removeClass('is-active'));
      $('#btnModalClose').click(() => $('#modalJoin').removeClass('is-active'));

      const hideGettingStarted = localStorage.getItem("hideGettingStarted");

      if (!hideGettingStarted) {
        $('#getStartedContainer').removeClass('is-hidden');
        $('hr-header').removeClass('is-hidden');
      }
      $('#btnCloseGettingStarted').click(() => {
        $('#getStartedContainer').addClass('is-hidden');
        $('hr-header').addClass('is-hidden');
        localStorage.setItem("hideGettingStarted", true);
      });
  });

  function openJoinModal() {
    $('#modalJoin').addClass('is-active');
  }
</script>
{{/section}}